@mixin menu-hover-color($color) {
  .nav-link{
    color: $color;
  }
  .submenu{
    border: 6px solid $color;
    z-index: 90;
    .menu-post-previews{
      .menu-post-preview{
        transform: translateY(0);
        opacity: 1;
      }
    }
  }
}

@mixin menu-color($color) {
  .submenu{
    .category-link{
      a{
        &:hover{
          color: $color;
          border-color: $color;
        }
      }
    }
    .subcategories{
      ul li.nav-item{
        span{
          color: $color;
        }
        .nav-link{
          &:hover{
            color: $color;
          }
        }
      }
    }
    .menu-post-previews{
      .menu-post-preview{
        .category{
          background-color: $color;
        }
      }
    }
  }
}


#menuToggle{
  input{
    display: none;
  }
}

.main-navigation{
  text-align: right;
  nav.top-menu, nav.main-menu{
    ul.menu{
      list-style: none;
      padding: 0;
      margin: 0;
      .nav-item, .menu-category{
        display: inline-block;
        &:first-child{
          margin-left: 0;
        }
      }
    }
  }
  nav.top-menu{
    padding-top: 10px;
    padding-bottom: 5px;
    height: 50px;
    ul.menu{
      .nav-item{
        margin-left: 5px;
        a.nav-link{
          color: $blue;
          font-size: 14px;
          transition: all .2s ease;
          &:hover{
            color: $blue1;
          }
        }
      }
    }
  }
  nav.main-menu{

    z-index: 100;
    position: relative;
    ul.menu{
      display: inline-block;
      background: $blue2;
      padding: 18px 25px 0;
      .menu-category{
        padding-bottom: 18px;
        a.home-icon, .search-icon{
          display: inline-block;
          margin-bottom: -2px;
          &:hover{
            opacity: .7;
            cursor: pointer;
          }
        }
        a.home-icon{
          margin-right: 15px;
          width: 16px;
          height: 17px;
          background: url(../img/home.svg) center center no-repeat;
        }
        .search-icon{
          margin-left: 15px;
        }
        a.nav-link{
          color: $white;
          font-size: 16px;
          font-style: italic;
          font-weight: $fw-black;
          text-transform: uppercase;
        }
        .submenu{
          border: 6px solid $blue;
          position: absolute;
          right: -100vw;
          top: 76px;
          background: $blue2;
          width: 850px;
          max-width: 100%;
          text-align: left;
          padding: 20px 25px;
          opacity: 0;
          transition: opacity 0.3s cubic-bezier(.55,.085,.68,.53),right 0s 0.3s, border-color 0.3s ease;
          &:hover{
            right: 0;
            opacity: 1;
          }
          .category-link{
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            justify-content: center;
            align-items: center;
            a{
              font-size: 14px;
              color: $white;
              font-weight: $fw-bold;
              text-transform: uppercase;
              border: 2px solid $white;
              padding: 3px 12px;
              text-decoration: none;
              transition: all .2s ease;
            }
          }
          .subcategories{
            ul{
              list-style: none;
              padding: 0;
              li.nav-item{
                margin-left: 0;
                display: inline-block;
                .nav-link{
                  color: $white;
                  font-weight: $fw-bold;
                  padding-left: 8px;
                  padding-right: 8px;
                }
                span{
                  font-weight: $fw-black;
                  text-transform: uppercase;
                  color: $white;
                  position: relative;
                  margin-right: 55px;
                  display: inline-block;
                  &:after{
                    content: "";
                    width: 30px;
                    height: 3px;
                    background-color: white;
                    display: inline-block;
                    position: absolute;
                    right: -45px;
                    top: 9px;
                  }
                }
              }
            }
          }
          .menu-post-previews{
            margin-left: -8px;
            margin-right: -8px;
            margin-top: 20px;
            .menu-post-preview{
              transform: translateY(10px);
              display: block;
              padding-right: 8px;
              padding-left: 8px;
              text-decoration: none;
              position: relative;
              transition: all .2s ease-in;
              opacity: 0;
              @for $i from 1 through 20 {
                &:nth-child(#{$i}n) {
                  transition-delay: #{$i * 0.05}s;
                }
              }
              .image{
                width: 100%;
                height: 100px;
                border: 2px solid $white;
                overflow: hidden;
                transition: transform .2s ease;
                background-size: cover;
                background-position: center center;
                position: relative;
                .category{
                  position: absolute;
                  bottom: 0;
                  left: 0;
                  display: inline-block;
                  font-size: 10px;
                  font-weight: $fw-bold;
                  color: $white;
                  padding: 3px 8px;
                  text-transform: uppercase;
                }
              }
              .title{
                font-size: 14px;
                color: $white;
                opacity: .8;
                margin-top: 10px;
                transition: opacity .2s ease;
              }

              &:hover{
                .image{
                  transform: scale(1.03);
                }
                .title{
                  opacity: 1;
                }
              }
            }


          }
        }
        &.category-red{
          @include menu-color($red);
        }
        &.category-green{
          @include menu-color($green);
        }
        &.category-blue{
          @include menu-color($blue1);
        }
        &.category-grey{
          @include menu-color($grey1);
        }
        &.category-default{
          @include menu-color($grey1);
        }
        &:hover{
          .submenu{
            opacity: 1;
            right: 0;
            transition: opacity .5s cubic-bezier(.165,.84,.44,1) 0s,right 0s 0s;
          }
          &.category-red{
            @include menu-hover-color($red);
          }
          &.category-green{
            @include menu-hover-color($green);
          }
          &.category-blue{
            @include menu-hover-color($blue1);
          }
          &.category-grey{
            @include menu-hover-color($grey1);
          }
          &.category-default{
            @include menu-hover-color($grey1);
          }
        }
      }
    }
  }
}
